/*
 * Class SINGLE_MATH
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_397 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_397 [] = {0xFF01,1551,396,0xFFFF};
static const EIF_TYPE_INDEX egt_2_397 [] = {0xFF01,396,0xFFFF};
static const EIF_TYPE_INDEX egt_3_397 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_397 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_397 [] = {0xFF01,396,0xFFFF};
static const EIF_TYPE_INDEX egt_6_397 [] = {0xFF01,396,0xFFFF};
static const EIF_TYPE_INDEX egt_7_397 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_397 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_397 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_397 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_397 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_397 [] = {0xFF01,396,0xFFFF};


static const struct desc_info desc_397[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_397), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_397), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_397), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_397), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_397), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_397), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_397), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_397), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_397), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_397), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_397), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_397), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0319 /*396*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_397), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6856, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6857, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6858, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6859, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6861, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6862, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6863, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6864, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6865, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6866, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6867, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6868, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6869, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6871, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6872, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6873, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 6874, 0xFFFFFFFF},
};
void Init397(void)
{
	IDSC(desc_397, 0, 396);
	IDSC(desc_397 + 1, 1, 396);
	IDSC(desc_397 + 32, 902, 396);
	IDSC(desc_397 + 37, 877, 396);
}


#ifdef __cplusplus
}
#endif
